Bug 114827 - Kernel will panic after init 6
Kernel will panic after init 6
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-netboot (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Depends On:
  Show dependency treegraph
Reported: 2004-02-03 05:20 EST by Risto Sainio
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: system-config-netboot-0.1.22+
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-01 15:58:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Risto Sainio 2004-02-03 05:20:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)

Description of problem:
The file /usr/share/redhat-config-netboot/diskless/disklessrc calls at
the very end 'exec /sbin/init --init'. The problem is that during init
6  the init will started exit and the kernel will continue the as if
the linuxrc has just ended. This will  lead into kernel-panic as the
kernel tries to mount root-filesystem.
It would be better to use "echo 0x100 > real-root-dev"

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install netboot
3.check your console

Additional info:
Comment 1 Daniel Walsh 2004-04-28 16:52:02 EDT
I don't understand what this will do?   Or what you mean?

Could you sens me a patch to change disklessrc?

Comment 2 Nils Philippsen 2004-04-30 08:30:31 EDT
He probably means that rather than running "exec /sbin/init --init"
from linuxrc, we should rather go along with the "standard" routine
like in a normal initrd, i.e. setting up everything, "echo 0x100 >
/proc/sys/kernel/real-root-dev", pivot_root(), then exit which will
start /sbin/init from the kernel rather than from the initrd.
Comment 3 Jason Vas Dias 2005-08-01 15:58:15 EDT
This bug is now fixed in all latest versions of {system,redhat}-config-netboot.

Note You need to log in before you can comment on or make changes to this bug.